curl https://kliio.app/api/v1/clients \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/clients', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": [
{
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp",
"status": "active",
"created_at": "2025-03-15T10:30:00.000Z"
}
],
"pagination": {
"total": 1,
"limit": 50,
"offset": 0
}
}
{
"error": "Unauthorized: Invalid or revoked API key"
}
Clients
List Clients
Returns all clients belonging to the authenticated account, ordered by creation date descending.
GET
/
api
/
v1
/
clients
curl https://kliio.app/api/v1/clients \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/clients', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": [
{
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp",
"status": "active",
"created_at": "2025-03-15T10:30:00.000Z"
}
],
"pagination": {
"total": 1,
"limit": 50,
"offset": 0
}
}
{
"error": "Unauthorized: Invalid or revoked API key"
}
Headers
string
required
Bearer YOUR_API_KEYQuery Parameters
number
default:"50"
Maximum number of records to return (max 100).
number
default:"0"
Number of records to skip.
Response
array
object
curl https://kliio.app/api/v1/clients \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/clients', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": [
{
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp",
"status": "active",
"created_at": "2025-03-15T10:30:00.000Z"
}
],
"pagination": {
"total": 1,
"limit": 50,
"offset": 0
}
}
{
"error": "Unauthorized: Invalid or revoked API key"
}

